LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 06-01-2012, 09:46 PM   #1
Pedroski
Senior Member
 
Registered: Jan 2002
Location: Nanjing, China
Distribution: Ubuntu 14.04
Posts: 1,370

Rep: Reputation: 42
mesa-dri


Can someone tell me please what mesa-dri is??

I can't update it. I have reported it to bugzilla. I'd just like to know if I need it.

Total size: 35 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
ERROR with transaction check vs depsolve:
mesa-dri-filesystem(x86-32) is needed by mesa-dri-drivers-8.0.3-1.fc17.i686
Please report this error in https://bugzilla.redhat.com/enter_bu...&component=yum
** Found 3 pre-existing rpmdb problem(s), 'yum check' output follows:
llvm-libs-3.0-12.fc17.x86_64 is a duplicate with llvm-libs-2.9-10.fc16.i686
mesa-dri-drivers-7.11.2-3.fc16.i686 has missing requires of mesa-dri-filesystem(x86-32)
mesa-dri-drivers-8.0.2-8.fc17.x86_64 is a duplicate with mesa-dri-drivers-7.11.2-3.fc16.i686
Your transaction was saved, rerun it with:
yum load-transaction /tmp/yum_save_tx.2012-06-02.10-43.knjnlV.yumtx
[pedro@pedro-bedro ~]$
 
Old 06-02-2012, 04:00 AM   #2
serafean
Member
 
Registered: Mar 2006
Location: Czech Republic
Distribution: Gentoo, Chakra
Posts: 871
Blog Entries: 9

Rep: Reputation: 103Reputation: 103
Hi,

mesa-dri is the piece of software that allows you to use you graphic card for openGL (and other) rendering. (should be in the package description)
What kind of update are you trying to do? AFAIK Fedora doesn't change mesa versions within a Fedora release (meaning F16 comes with mesa-7.11, and it will always have this version).
 
Old 06-02-2012, 06:27 AM   #3
RockDoctor
Senior Member
 
Registered: Nov 2003
Location: Minnesota, US
Distribution: Fedora, Ubuntu
Posts: 1,225

Rep: Reputation: 251Reputation: 251Reputation: 251
Quote:
Originally Posted by Pedroski View Post
<snip>
ERROR with transaction check vs depsolve:
mesa-dri-filesystem(x86-32) is needed by mesa-dri-drivers-8.0.3-1.fc17.i686
Please report this error in https://bugzilla.redhat.com/enter_bu...&component=yum
** Found 3 pre-existing rpmdb problem(s), 'yum check' output follows:
llvm-libs-3.0-12.fc17.x86_64 is a duplicate with llvm-libs-2.9-10.fc16.i686
mesa-dri-drivers-7.11.2-3.fc16.i686 has missing requires of mesa-dri-filesystem(x86-32)
mesa-dri-drivers-8.0.2-8.fc17.x86_64 is a duplicate with mesa-dri-drivers-7.11.2-3.fc16.i686
<snip>
Are you running F16 or F17? i686 or x86_64 or both?
 
Old 06-02-2012, 07:11 AM   #4
Pedroski
Senior Member
 
Registered: Jan 2002
Location: Nanjing, China
Distribution: Ubuntu 14.04
Posts: 1,370

Original Poster
Rep: Reputation: 42
I just installed F 17 from dvd. I was using F16. I told it to upgrade, not do a fresh install. Maybe that wasn't wise!

If I just yum remove the i686 and F16 files of mesa-dri, will that do the trick do you think??
 
Old 06-03-2012, 06:19 AM   #5
RockDoctor
Senior Member
 
Registered: Nov 2003
Location: Minnesota, US
Distribution: Fedora, Ubuntu
Posts: 1,225

Rep: Reputation: 251Reputation: 251Reputation: 251
Looking at my F17 system, I see the following mesa rpms:
[code]/# rpm -qa | grep mesa
mesa-dri-drivers-8.0.3-1.fc17.x86_64
mesa-libGL-8.0.3-1.fc17.x86_64
mesa-libxatracker-8.0.3-1.fc17.x86_64
mesa-libglapi-8.0.3-1.fc17.x86_64
mesa-libGLU-8.0.3-1.fc17.x86_64
mesa-dri-filesystem-8.0.3-1.fc17.x86_64[code]
I'd do the following (as root):
1. Ensure all of the above files are available locally
2. Switch to runlevel 3
Code:
telinit 3
3. Remove all mesa files using
Code:
rpm -e --nodeps <filenmame>
4. Install the above files
Code:
rpm -ivh mesa*.rpm
5. Go back to runlevel 5
Code:
telinit 5
I've done this when moving from the nvidia driver to the nouveau driver due to the nvidia driver replacing pieces of the mesa components (but not the rpms) with noveau-incompatible code. Hope it can work for you
 
Old 06-03-2012, 07:10 AM   #6
Pedroski
Senior Member
 
Registered: Jan 2002
Location: Nanjing, China
Distribution: Ubuntu 14.04
Posts: 1,370

Original Poster
Rep: Reputation: 42
Thanks a lot. I had other problems, which cause gnome to shut down all shell extensions and I did not know how to restart them. Tried a reboot, and that left me with a blank screen, so I just reinstalled Fed 17, but as fresh installation, not an update from Fed 16. Works now, but Skype won't start! There is always a problem!!
 
Old 06-12-2012, 12:16 PM   #7
falcom
Member
 
Registered: May 2009
Posts: 102

Rep: Reputation: 13
it's easy
http://blog.linux4us.org/2011/11/13/...dora-16-64bit/

Quote:
Originally Posted by Pedroski View Post
Thanks a lot. I had other problems, which cause gnome to shut down all shell extensions and I did not know how to restart them. Tried a reboot, and that left me with a blank screen, so I just reinstalled Fed 17, but as fresh installation, not an update from Fed 16. Works now, but Skype won't start! There is always a problem!!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Mesa DRI why so old? gbowden Slackware 1 09-25-2009 09:34 AM
Mesa linux-dri or linux-dri-x86 Won't Make Muraii Linux - Desktop 2 09-15-2006 12:19 AM
DRI and Mesa steelz Linux - Software 2 06-17-2005 09:05 AM
Glide? Mesa? DRI? amnesty_puppy Linux - Newbie 1 11-20-2004 06:47 PM
mesa dri or ati proprietatry drivers? shanenin Linux - Software 1 07-08-2004 04:49 AM


All times are GMT -5. The time now is 12:36 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration